---
title: Contributing
description: Learn how to contribute to the React Native Firebase library.
next: /admob/usage
previous: /releases
---

Firstly, thanks for considering contributing to React Native Firebase! It's people like you that make the open source
community such a great community! Firstly, thanks for considering contributing to React Native Firebase! It's people
like you that make the open source community such a great community!

We welcome any type of contribution, not just code. You can learn more about the various ways of contributing to this
project by visiting any of the sections below.

# Issues & PRs

Here are some example review checks that can be taken on issues;

## Issue Management

- Does the issue follow the [issue template](https://github.com/invertase/react-native-firebase/blob/master/.github/ISSUE_TEMPLATE.md)?
- Is this issue a duplicate? Label it as `Resolution: Duplicate`, comment and link to the duplicate, close the issue.
- Is the issue a feature request? Close the issue and point it to the [Feature Request page](https://invertase.canny.io/react-native-firebase).
- Does the issue provide a reproduction (if possible)? Label it as `Resolution: Needs Repro` and request a reproduction from the author.
- Is the issue fairly straightforward to fix? Label it `Help: Good First Issue` and comment on the issue asking for contributions; provide as much detail as you can on how you'd go about fixing the issue - so new contributors know where to start.
- Label the issue. There are many labels that can be applied to issues to help with filtering; please see the [labels list](https://github.com/invertase/react-native-firebase/labels) to view them and their descriptions.

## Pull Request Management

- Ensuring any code changes cover both Android & iOS surface areas.
- Updates must not change the API surface area unless discussed on our [Discord](https://invertase.link/discord) server.
- All code additions must be fully tested.
- All code additions must be typed, with [TypeScript](https://www.typescriptlang.org/) and [Flow](https://flow.org/).

# Documentation

All documentation is open sourced and we are happy to accept contributions whether they are typo fixes or new pages.
Content is written in Markdown, and takes advantage of [MDX](https://github.com/mdx-js/mdx) to provide powerful functionality on-top of Markdown.

Our documentation reference is automatically generated from each packages TypeScript declaration. Our build process
automatically generates a `typedoc.json` file using Typedoc, which is then parsed into a consumable format for our documentation generator.

# Community

We always love to hear about React Native Firebase being featured at community events. Whether you're hosting, speaking
or attending an event which involves the library, please let us know using the form below.

We'd love to help promote the event via:

- Twitter exposure on our [@rnfirebase](https://twitter.com/rnfirebase) account.
- Members of our team attending the event in person.
- Giving out React Native Firebase T-Shirts.
- Sending stickers of the library logo.
