---
title: iOS Setup
description: Manually integrate Realtime Database into your iOS application.
next: /database/usage/installation/android
previous: /database/usage
---

# iOS Manual Linking

The following steps are only required if you are using React Native <= 0.59 or need to manually integrate the library.

## 1. Add the RNFBAnalytics Pod

Add the `RNFBDatabase` Pod to your projects `/ios/Podfile`:

```ruby
target 'app' do
  #  ...
  pod 'RNFBDatabase', :path => '../node_modules/@react-native-firebase/database'
end
```

## 2. Update Pods & rebuild the project

You may need to update your local Pods in order for the `RNFBDatabase` Pod to be installed in your project:

```bash
$ cd ios/
$ pod install --repo-update
```

Once the Pods have installed locally, rebuild your iOS project:

```bash
npx react-native run-ios
```
