---
title: v6.2.0 Release
description: Firebase Authentication + Apple Authentication
---

> Please tag any GitHub issues regarding v6 with `[v6]` in the title.

This priority release implements Apple Authentication support for Firebase Authentication (iOS only);

Recently the [App Store policy changed](https://developer.apple.com/news/?id=09122019b); apps that provide social
authentication on iOS must also provide support for Apple Authentication. All new apps submitted to the App Store must
now follow these guidelines. Existing apps and app updates have until April 2020 to follow them.

To help integrate this in your apps we've also built a new React Native library.

---

## React Native Apple Authentication

[React Native Apple Authentication](https://github.com/invertase/react-native-apple-authentication) is a React Native
library that provides access to the Apple Authentication APIs and Button components on iOS and, integrates well with
React Native Firebase.

![apple-auth](https://static.invertase.io/assets/apple-auth.png)

To help you get started with integrating Apple Authentication we've included a small guide/example specific to Firebase
on the repo.

[[Guide: Usage with React Native Firebase]](https://github.com/invertase/react-native-apple-authentication/blob/master/docs/FIREBASE.md)
